Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 906552 - [es_ES][gu][kn][or][pa][pt_BR][ta_IN][te][zh_CN] msgids containing "subscription-manager" should NOT translate this substring
Summary: [es_ES][gu][kn][or][pa][pt_BR][ta_IN][te][zh_CN] msgids containing "subscript...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel510
TreeView+ depends on / blocked
 
Reported: 2013-01-31 21:29 UTC by John Sefler
Modified: 2014-02-04 18:25 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1061393 (view as bug list)
Environment:
Last Closed: 2013-10-01 13:49:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2013-01-31 21:29:21 UTC
Description of problem:
msgid='subscription-manager: %s'
       ^^^^^^^^^^^^^^^^^^^^
       SHOULD NOT BE TRANSLATED

https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.1-1.git.8.47da6cb.el7.x86_64


How reproducible:


Steps to Reproduce:
[root@jsefler-7 ~]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE $L..."; msgunfmt $L | grep -i 'subscription-manager:' -A1; done;

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "Gestor de suscripcion:  %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager : %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "ઉમેદવારી-સંચાલક: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "ಚಂದಾದಾರಿಕೆ-ವ್ಯವಸ್ಥಾಪಕ: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "ସଦସ୍ୟତା-ପରିଚାଳକ: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "ਮੈਂਬਰੀ-ਮੈਨੇਜਰ: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "Gerenciador-subscrição: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "சந்தா நிர்வாகி: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "సబ్‌స్క్రిప్షన్-నిర్వాహిక: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "订阅管理器:%s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"
[root@jsefler-7 ~]# 

  
Actual results:
MANY OF THE LANGUAGES ABOVE HAVE TRANSLATED THE WORD "subscription-manager".

Expected results:
"subscription-manager" SHOULD NOT BE TRANSLATED

Additional info:

Comment 1 Shankar Prasad 2013-02-01 08:12:14 UTC
Fixed the issue for Kannada (kn)

Comment 2 Sweta Kothari 2013-02-01 08:15:41 UTC
Fixed the issue for Gujarati (gu)

Comment 3 Shantha kumar 2013-02-01 10:14:52 UTC
ta-IN fixed.

Comment 4 Adrian Likins 2013-03-25 21:35:00 UTC
commit 008c5cb336b141f300d647d6c71750b2cd15e066
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Mar 25 15:03:16 2013 -0400

    921126: latest string updates from zanata
    
    921126,911779,911776,911772,911764,911762,911759,
    911757,908886,908879,908869,908866,908521,908511,
    908488,908434,908108,908059,908037,906967,906552,
    842784

Comment 5 John Sefler 2013-03-26 21:36:02 UTC
This bug continues to fail in languages...

es_ES
msgid "subscription-manager: %s"
msgstr "Gestor de suscripcion:  %s"

or
msgid "subscription-manager: %s"
msgstr "ସଦସ୍ୟତା-ପରିଚାଳକ: %s"

pa
msgid "subscription-manager: %s"
msgstr "ਮੈਂਬਰੀ-ਮੈਨੇਜਰ: %s"

pt_BR
msgid "subscription-manager: %s"
msgstr "Gerenciador-subscrição: %s "

te
msgid "subscription-manager: %s"
msgstr "సబ్‌స్క్రిప్షన్-నిర్వాహిక: %s"

zh_CN
msgid "subscription-manager: %s"
msgstr "订阅管理器:%s"


Do not translate this msgid
Moving back to ASSIGNED/FailedQA


ta_IN
Do not translated "Subscription-manager-gui" in this msgid
msgid "subscription-manager-gui is already running"
msgstr "சந்தா-நிர்வாகி வரைவியல் இடைமுகம் ஏற்கனவே இயக்கத்தில் உள்ளது"

Comment 6 Shankar Prasad 2013-03-28 05:42:19 UTC
Fixed this issue for kn at all the occurrences.

shankar

Comment 7 Krishna Babu K 2013-03-28 10:06:25 UTC
Fixed this in 1.8.x for  Telugu [te].

Thanks,
Krishna.

Comment 8 Manoj Kumar Giri 2013-04-01 09:31:15 UTC
Fixed for Odia (or).

/Manoj

Comment 9 Bryan Kearney 2013-04-19 18:26:01 UTC
There are still issues with 


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE pa.po...
msgid "subscription-manager: %s"
msgstr "ਮੈਂਬਰੀ-ਮੈਨੇਜਰ: %s"



LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE zh_CN.po...
msgid "subscription-manager: %s"
msgstr "Subscription Manager :%s"

[bkearney@bkearney po]$

Comment 10 Bryan Kearney 2013-04-19 18:42:40 UTC
commit ccdba91c15f467da9948a9934342381801cc43c8
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Fri Apr 19 14:42:05 2013 -0400

    906552: Fixed mis translation of subscription-manager in pa.po and zh_CN.po. Zanata was also updated

Comment 11 John Sefler 2013-08-07 16:04:42 UTC
This bug belongs on RHEL510 since package subscription-manager-1.8 is targeted for RHEL510

Comment 12 John Sefler 2013-08-07 16:35:04 UTC
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.16-1.el5

This bug FailedQA for LANG=pa on build subscription-manager-1.8.16-1.el5

Once the latest Zanata strings are pulled from https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X and a new subscription-manager is built, then this bug should be fixed.

Comment 13 Jesus M. Rodriguez 2013-08-21 18:36:52 UTC
Zanata reports 100% translated for LANG=pa. Retest with subscription-manager 1.8.21.

Comment 14 John Sefler 2013-08-22 16:51:24 UTC
Verifying Version...
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.21-1.el5


[root@jsefler-5 ~]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE $L..."; msgunfmt $L | grep -i 'subscription-manager:' -A1; done;

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:  %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager : %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s "


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"


VERIFIED:  The msgid "subscription-manager: %s" has retained "subscription-manager" as an untranslated substring in all languages.


Note You need to log in before you can comment on or make changes to this bug.